package com.ycwl.basic.model.pc.face.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 15:18
 */
@Data
@ApiModel("人脸查询响应参数")
public class FaceRespVO {
    private Long id;
    @ApiModelProperty("景区ID")
    private Long scenicId;
    @ApiModelProperty("会员id")
    private Long memberId;
    @ApiModelProperty("用户上传的人脸照片")
    private String faceUrl;
    @ApiModelProperty("与样本匹配的ID，逗号隔开")
    private String matchSampleIds;
    @ApiModelProperty("匹配率")
    private BigDecimal firstMatchRate;
    @ApiModelProperty("人脸图片得分，不高的提示用户重新录入")
    private BigDecimal score;
    @ApiModelProperty("匹配的结果，JSON字符串")
    private String matchResult;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createAt;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateAt;
}
